#include "CS_AllPlayerLight.h"
#include "CS_PlayerLight.h"
void CS_AllPlayerLight::Step()
{
	auto wpeLight1 = std::make_shared<CS_PlayerLight>(0);
	gameFunc->SetEntity(shared_from_this(), wpeLight1);
	auto wpeLight2 = std::make_shared<CS_PlayerLight>(1);
	gameFunc->SetEntity(shared_from_this(), wpeLight2);
	Destroy();
}

std::shared_ptr<Entity> CreateCS_AllPlayerLight()
{
	return std::make_shared<CS_AllPlayerLight>();
}
